# Interface DataSourceLikeForErrorHandling

interface DataSourceLikeForErrorHandling {
error?: unknown;
error$?: Observable<unknown>;
loading?: boolean | Observable<boolean>;
loading$?: Observable<boolean>;
refresh?: () => void;
reset?: () => void;
retry?: () => void;
}

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:28

#####
Index

### Properties

error?
error$?
loading?
loading$?
refresh?
reset?
retry?

##
Properties

### `Optional` error

error?: unknown

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:35

### `Optional` error$

error$?: Observable<unknown>

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:34

### `Optional` loading

loading?: boolean | Observable<boolean>

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:32

### `Optional` loading$

loading$?: Observable<boolean>

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:33

### `Optional` refresh

refresh?: () => void

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:29

### `Optional` reset

reset?: () => void

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:31

### `Optional` retry

retry?: () => void

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:30